Criar solicitação de governança do emissor
curl --request POST \
--url https://api.truthlocks.com/v1/governance/issuer-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evidence": "<unknown>",
"issuer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"justification": "<string>",
"proposed_changes": "<unknown>",
"request_type": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
evidence: '<unknown>',
issuer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
justification: '<string>',
proposed_changes: '<unknown>',
request_type: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/governance/issuer-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/governance/issuer-requests"
payload = {
"evidence": "<unknown>",
"issuer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"justification": "<string>",
"proposed_changes": "<unknown>",
"request_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/governance/issuer-requests"
payload := strings.NewReader("{\n \"evidence\": \"<unknown>\",\n \"issuer_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"justification\": \"<string>\",\n \"proposed_changes\": \"<unknown>\",\n \"request_type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Governança
Criar solicitação de governança
Cria uma nova solicitação de governança para aprovação/alterações do emissor.
POST
/
v1
/
governance
/
issuer-requests
Criar solicitação de governança do emissor
curl --request POST \
--url https://api.truthlocks.com/v1/governance/issuer-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evidence": "<unknown>",
"issuer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"justification": "<string>",
"proposed_changes": "<unknown>",
"request_type": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
evidence: '<unknown>',
issuer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
justification: '<string>',
proposed_changes: '<unknown>',
request_type: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/governance/issuer-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/governance/issuer-requests"
payload = {
"evidence": "<unknown>",
"issuer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"justification": "<string>",
"proposed_changes": "<unknown>",
"request_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/governance/issuer-requests"
payload := strings.NewReader("{\n \"evidence\": \"<unknown>\",\n \"issuer_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"justification\": \"<string>\",\n \"proposed_changes\": \"<unknown>\",\n \"request_type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Cria uma solicitação de alteração de emissor para revisão posterior. Autentique-se como um usuário com
GOVERNANCE_ADMIN ou TENANT_ADMIN; uma chave de API sozinha não fornece a identidade de usuário necessária.
Use request_type, issuer_id, justification, proposed_changes e evidence opcional. Os nomes antigos type, target_issuer_id e reason não são este contrato de solicitação. O servidor atribui identidade de solicitação, espaço de trabalho, solicitante, status e contagem de aprovações. Criar uma solicitação não a executa nem ignora as aprovações necessárias.Corpo
application/json

